Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.scholarlysoftware.com/api/v1/faculty_activities/{faculty_activity_id}/files \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/octet-stream' \ --data '"<string>"'
import requests url = "https://api.scholarlysoftware.com/api/v1/faculty_activities/{faculty_activity_id}/files" payload = "<string>" headers = { "Authorization": "Bearer <token>", "Content-Type": "application/octet-stream" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'}, body: JSON.stringify('<string>') }; fetch('https://api.scholarlysoftware.com/api/v1/faculty_activities/{faculty_activity_id}/files', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "message": "<string>", "file": { "id": "<string>", "filename": "report.pdf", "content_type": "application/pdf", "byte_size": 1024000 } }
{ "errors": [ { "status": "<string>", "title": "<string>", "detail": "<string>" } ] }
{ "errors": [ { "status": "422", "title": "Validation Error", "detail": "Label can't be blank" } ] }
Uploads a file to a specific faculty activity by sending the raw file binary data in the request body
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
The body is of type file.
file
File uploaded
Show child attributes